from django.conf import settings
from .models import LoginToken

# enhance template contexts with frequently used data so we have less code duplication
def proc(request):
    context = {
        "DEBUG": settings.DEBUG,
    }
    tk = LoginToken.objects.filter(pk=request.session.get("token")).first()
    if tk:
        context["helper"] = tk.helper
    return context
