from django.urls import path

from . import views

app_name = "team"
urlpatterns = [
    path("", views.shift_overview, name="index"),
    path("overview/", views.shift_overview, name="shift_overview"),
    path("shifts/", views.ShiftList.as_view(), name="shift_all"),
    path("shift/<int:pk>", views.ShiftDetail.as_view(), name="shift"),
    path("helper/<int:pk>", views.HelperDetail.as_view(), name="helper"),
]
